<?php

declare(strict_types=1);

namespace App\Message\Message;

use App\ApiResources\Export\ExportRequest;

/**
 * Transmission d'une ExportRequest au service d'export associé.
 */
class Export
{
    public function __construct(
        private ExportRequest $exportRequest,
    ) {
    }

    public function getExportRequest(): ExportRequest
    {
        return $this->exportRequest;
    }

    public function setExportRequest(ExportRequest $exportRequest): void
    {
        $this->exportRequest = $exportRequest;
    }
}
